Skip to content
revox
Search
Ctrl
K
Auto
Light
Dark
Get started
Guides
API Reference
Get started
Python
HTTP
HTTP
TypeScript
TypeScript
Python
Python
Ruby
Ruby
Guides
API Reference
Overview
Campaigns
Create
List
Retrieve
Delete
Cancel
Get Rows
Export Rows
Assistants
Create
List
Retrieve
Update
Delete
Call
Retrieve
Create
List
Voices
List
Retrieve
Preview
Users
Me
Retrieve
Update
API Reference
Copy Markdown
Open in
Claude
Open in
ChatGPT
Open in
Cursor
Copy Markdown
View as Markdown
Assistants
Create an assistant
assistants.
create
(
AssistantCreateParams
**kwargs
)
->
AssistantCreateResponse
POST
/assistants
Get assistants
assistants.
list
(
)
->
AssistantListResponse
GET
/assistants
Get assistant by ID
assistants.
retrieve
(
str
id
)
->
AssistantRetrieveResponse
GET
/assistants/{id}
Update an assistant
assistants.
update
(
str
id
,
AssistantUpdateParams
**kwargs
)
->
AssistantUpdateResponse
PATCH
/assistants/{id}
Delete an assistant
assistants.
delete
(
str
id
)
->
AssistantDeleteResponse
DELETE
/assistants/{id}
On this page
Overview
Assistants
What can I help you with?
Suggestions
Troubleshoot SDK usage
Learn about API authentication
Build an example app